bands = {
    "A": {
        "short_name": "A",
        "long_name": "Aersols",
        "sentinel2a": {
            "platform": "Sentinel-2A",
            "band": "B1",
            "name": "Aerosols",
            "wavelength": 442.7,
            "bandwidth": 21
        },
        "sentinel2b": {
            "platform": "Sentinel-2B",
            "band": "B1",
            "name": "Aerosols",
            "wavelength": 442.3,
            "bandwidth": 21
        },
        "landsat8": {
            "platform": "Landsat 8",
            "band": "B1",
            "name": "Coastal Aerosol",
            "wavelength": 440.0,
            "bandwidth": 20.0
        },
        "landsat9": {
            "platform": "Landsat 8",
            "band": "B1",
            "name": "Coastal Aerosol",
            "wavelength": 440.0,
            "bandwidth": 20.0
        },
    },
    "B": {
        "short_name": "B",
        "long_name": "Blue",
        "sentinel2a": {
            "platform": "Sentinel-2A",
            "band": "B2",
            "name": "Blue",
            "wavelength": 492.4,
            "bandwidth": 66.0
        },
        "sentinel2b": {
            "platform": "Sentinel-2B",
            "band": "B2",
            "name": "Blue",
            "wavelength": 492.1,
            "bandwidth": 66.0
        },
        "landsat4": {
            "platform": "Landsat 4",
            "band": "B1",
            "name": "Blue",
            "wavelength": 485.0,
            "bandwidth": 70.0
        },
        "landsat5": {
            "platform": "Landsat 5",
            "band": "B1",
            "name": "Blue",
            "wavelength": 485.0,
            "bandwidth": 70.0
        },
        "landsat7": {
            "platform": "Landsat 7",
            "band": "B1",
            "name": "Blue",
            "wavelength": 485.0,
            "bandwidth": 70.0
        },
        "landsat8": {
            "platform": "Landsat 8",
            "band": "B2",
            "name": "Blue",
            "wavelength": 480.0,
            "bandwidth": 60.0
        },
        "landsat9": {
            "platform": "Landsat 9",
            "band": "B2",
            "name": "Blue",
            "wavelength": 480.0,
            "bandwidth": 60.0
        },
        "modis": {
            "platform": "Terra/Aqua: MODIS",
            "band": "B3",
            "name": "Blue",
            "wavelength": 469.0,
            "bandwidth": 20.0
        },
    },
    "G": {
        "short_name": "G",
        "long_name": "Green",
        "sentinel2a": {
            "platform": "Sentinel-2A",
            "band": "B3",
            "name": "Green",
            "wavelength": 559.8,
            "bandwidth": 36.0
        },
        "sentinel2b": {
            "platform": "Sentinel-2B",
            "band": "B3",
            "name": "Green",
            "wavelength": 559.0,
            "bandwidth": 36.0
        },
        "landsat4": {
            "platform": "Landsat 4",
            "band": "B2",
            "name": "Green",
            "wavelength": 560.0,
            "bandwidth": 80.0
        },
        "landsat5": {
            "platform": "Landsat 5",
            "band": "B2",
            "name": "Green",
            "wavelength": 560.0,
            "bandwidth": 80.0
        },
        "landsat7": {
            "platform": "Landsat 7",
            "band": "B2",
            "name": "Green",
            "wavelength": 560.0,
            "bandwidth": 80.0
        },
        "landsat8": {
            "platform": "Landsat 8",
            "band": "B3",
            "name": "Green",
            "wavelength": 560.0,
            "bandwidth": 60.0
        },
        "landsat9": {
            "platform": "Landsat 9",
            "band": "B3",
            "name": "Green",
            "wavelength": 560.0,
            "bandwidth": 60.0
        },
        "modis": {
            "platform": "Terra/Aqua: MODIS",
            "band": "B4",
            "name": "Green",
            "wavelength": 555.0,
            "bandwidth": 20.0
        },
    },
    "Y": {
        "short_name": "Y",
        "long_name": "Yellow",
        "planetscope": {
            "platform": "PlanetScope",
            "band": "B5",
            "name": "Yellow",
            "wavelength": 610.0,
            "bandwidth": 20.0
        },
        "wv3": {
            "platform": "WorldView-3",
            "band": "B4",
            "name": "Yellow",
            "wavelength": 605.0,
            "bandwidth": 40.0
        },
        "wv2": {
            "platform": "WorldView-2",
            "band": "B4",
            "name": "Yellow",
            "wavelength": 605.0,
            "bandwidth": 40.0
        },
    },
    "R": {
        "short_name": "R",
        "long_name": "Red",
        "sentinel2a": {
            "platform": "Sentinel-2A",
            "band": "B4",
            "name": "Red",
            "wavelength": 664.6,
            "bandwidth": 31.0
        },
        "sentinel2b": {
            "platform": "Sentinel-2B",
            "band": "B4",
            "name": "Red",
            "wavelength": 665.0,
            "bandwidth": 31.0
        },
        "landsat4": {
            "platform": "Landsat 4",
            "band": "B3",
            "name": "Red",
            "wavelength": 660.0,
            "bandwidth": 60.0
        },
        "landsat5": {
            "platform": "Landsat 5",
            "band": "B3",
            "name": "Red",
            "wavelength": 660.0,
            "bandwidth": 60.0
        },
        "landsat7": {
            "platform": "Landsat 7",
            "band": "B3",
            "name": "Red",
            "wavelength": 660.0,
            "bandwidth": 60.0
        },
        "landsat8": {
            "platform": "Landsat 8",
            "band": "B4",
            "name": "Red",
            "wavelength": 655.0,
            "bandwidth": 30.0
        },
        "landsat9": {
            "platform": "Landsat 9",
            "band": "B4",
            "name": "Red",
            "wavelength": 655.0,
            "bandwidth": 30.0
        },
        "modis": {
            "platform": "Terra/Aqua: MODIS",
            "band": "B1",
            "name": "Red",
            "wavelength": 645.0,
            "bandwidth": 50.0
        },
    },
    "RE1": {
        "short_name": "RE1",
        "long_name": "Red Edge 1",
        "sentinel2a": {
            "platform": "Sentinel-2A",
            "band": "B5",
            "name": "Red Edge 1",
            "wavelength": 704.1,
            "bandwidth": 15.0
        },
        "sentinel2b": {
            "platform": "Sentinel-2B",
            "band": "B5",
            "name": "Red Edge 1",
            "wavelength": 703.8,
            "bandwidth": 15.0
        },
    },
    "RE2": {
        "short_name": "RE2",
        "long_name": "Red Edge 2",
        "sentinel2a": {
            "platform": "Sentinel-2A",
            "band": "B6",
            "name": "Red Edge 2",
            "wavelength": 740.5,
            "bandwidth": 15.0
        },
        "sentinel2b": {
            "platform": "Sentinel-2B",
            "band": "B6",
            "name": "Red Edge 2",
            "wavelength": 739.1,
            "bandwidth": 15.0
        },
    },
    "RE3": {
        "short_name": "RE3",
        "long_name": "Red Edge 3",
        "sentinel2a": {
            "platform": "Sentinel-2A",
            "band": "B7",
            "name": "Red Edge 3",
            "wavelength": 782.8,
            "bandwidth": 20.0
        },
        "sentinel2b": {
            "platform": "Sentinel-2B",
            "band": "B7",
            "name": "Red Edge 3",
            "wavelength": 779.7,
            "bandwidth": 20.0
        },
    },
    "N2": {
        "short_name": "N2",
        "long_name": "Near-Infrared (NIR) 2",
        "sentinel2a": {
            "platform": "Sentinel-2A",
            "band": "B8A",
            "name": "Near-Infrared (NIR) 2 (Red Edge 4 in Google Earth Engine)",
            "wavelength": 864.7,
            "bandwidth": 21.0
        },
        "sentinel2b": {
            "platform": "Sentinel-2B",
            "band": "B8A",
            "name": "Near-Infrared (NIR) 2 (Red Edge 4 in Google Earth Engine)",
            "wavelength": 864.0,
            "bandwidth": 21.0
        },
    },
    "N": {
        "short_name": "N",
        "long_name": "Near-Infrared (NIR)",
        "sentinel2a": {
            "platform": "Sentinel-2A",
            "band": "B8",
            "name": "Near-Infrared (NIR)",
            "wavelength": 832.8,
            "bandwidth": 106.0
        },
        "sentinel2b": {
            "platform": "Sentinel-2B",
            "band": "B8",
            "name": "Near-Infrared (NIR)",
            "wavelength": 833.0,
            "bandwidth": 106.0
        },
        "landsat4": {
            "platform": "Landsat 4",
            "band": "B4",
            "name": "Near-Infrared (NIR)",
            "wavelength": 830.0,
            "bandwidth": 140.0
        },
        "landsat5": {
            "platform": "Landsat 5",
            "band": "B4",
            "name": "Near-Infrared (NIR)",
            "wavelength": 830.0,
            "bandwidth": 140.0
        },
        "landsat7": {
            "platform": "Landsat 7",
            "band": "B4",
            "name": "Near-Infrared (NIR)",
            "wavelength": 835.0,
            "bandwidth": 130.0
        },
        "landsat8": {
            "platform": "Landsat 8",
            "band": "B5",
            "name": "Near-Infrared (NIR)",
            "wavelength": 865.0,
            "bandwidth": 30.0
        },
        "landsat9": {
            "platform": "Landsat 9",
            "band": "B5",
            "name": "Near-Infrared (NIR)",
            "wavelength": 865.0,
            "bandwidth": 30.0
        },
        "modis": {
            "platform": "Terra/Aqua: MODIS",
            "band": "B2",
            "name": "Near-Infrared (NIR)",
            "wavelength": 858.5,
            "bandwidth": 35.0
        },
    },
    "WV": {
        "short_name": "WV",
        "long_name": "Water Vapour",
        "sentinel2a": {
            "platform": "Sentinel-2A",
            "band": "B9",
            "name": "Water Vapour",
            "wavelength": 945.1,
            "bandwidth": 20.0
        },
        "sentinel2b": {
            "platform": "Sentinel-2B",
            "band": "B9",
            "name": "Water Vapour",
            "wavelength": 943.2,
            "bandwidth": 21.0
        },
    },
    "S1": {
        "short_name": "S1",
        "long_name": "Short-wave Infrared (SWIR) 1",
        "sentinel2a": {
            "platform": "Sentinel-2A",
            "band": "B11",
            "name": "Short-wave Infrared (SWIR) 1",
            "wavelength": 1613.7,
            "bandwidth": 91.0
        },
        "sentinel2b": {
            "platform": "Sentinel-2B",
            "band": "B11",
            "name": "Short-wave Infrared (SWIR) 1",
            "wavelength": 1610.4,
            "bandwidth": 94.0
        },
        "landsat4": {
            "platform": "Landsat 4",
            "band": "B5",
            "name": "Short-wave Infrared (SWIR) 1",
            "wavelength": 1650.0,
            "bandwidth": 200.0
        },
        "landsat5": {
            "platform": "Landsat 5",
            "band": "B5",
            "name": "Short-wave Infrared (SWIR) 1",
            "wavelength": 1650.0,
            "bandwidth": 200.0
        },
        "landsat7": {
            "platform": "Landsat 7",
            "band": "B5",
            "name": "Short-wave Infrared (SWIR) 1",
            "wavelength": 1650.0,
            "bandwidth": 200.0
        },
        "landsat8": {
            "platform": "Landsat 8",
            "band": "B6",
            "name": "Short-wave Infrared (SWIR) 1",
            "wavelength": 1610.0,
            "bandwidth": 80.0
        },
        "landsat9": {
            "platform": "Landsat 9",
            "band": "B6",
            "name": "Short-wave Infrared (SWIR) 1",
            "wavelength": 1610.0,
            "bandwidth": 80.0
        },
        "modis": {
            "platform": "Terra/Aqua: MODIS",
            "band": "B6",
            "name": "Short-wave Infrared (SWIR) 1",
            "wavelength": 1640.0,
            "bandwidth": 24.0
        },
    },
    "S2": {
        "short_name": "S2",
        "long_name": "Short-wave Infrared (SWIR) 2",
        "sentinel2a": {
            "platform": "Sentinel-2A",
            "band": "B12",
            "name": "Short-wave Infrared (SWIR) 2",
            "wavelength": 2202.4,
            "bandwidth": 175.0
        },
        "sentinel2b": {
            "platform": "Sentinel-2B",
            "band": "B12",
            "name": "Short-wave Infrared (SWIR) 2",
            "wavelength": 2185.7,
            "bandwidth": 185.0
        },
        "landsat4": {
            "platform": "Landsat 4",
            "band": "B7",
            "name": "Short-wave Infrared (SWIR) 2",
            "wavelength": 2215.0,
            "bandwidth": 270.0
        },
        "landsat5": {
            "platform": "Landsat 5",
            "band": "B7",
            "name": "Short-wave Infrared (SWIR) 2",
            "wavelength": 2215.0,
            "bandwidth": 270.0
        },
        "landsat7": {
            "platform": "Landsat 7",
            "band": "B7",
            "name": "Short-wave Infrared (SWIR) 2",
            "wavelength": 2220.0,
            "bandwidth": 260.0
        },
        "landsat8": {
            "platform": "Landsat 8",
            "band": "B7",
            "name": "Short-wave Infrared (SWIR) 2",
            "wavelength": 2200.0,
            "bandwidth": 180.0
        },
        "landsat9": {
            "platform": "Landsat 9",
            "band": "B7",
            "name": "Short-wave Infrared (SWIR) 2",
            "wavelength": 2200.0,
            "bandwidth": 180.0
        },
        "modis": {
            "platform": "Terra/Aqua: MODIS",
            "band": "B7",
            "name": "Short-wave Infrared (SWIR) 2",
            "wavelength": 2130.0,
            "bandwidth": 50.0
        },
    },
    "T1": {
        "short_name": "T1",
        "long_name": "Thermal Infrared 1",
        "landsat4": {
            "platform": "Landsat 4",
            "band": "B6",
            "name": "Thermal Infrared 1",
            "wavelength": 11450.0,
            "bandwidth": 2100.0
        },
        "landsat5": {
            "platform": "Landsat 5",
            "band": "B6",
            "name": "Thermal Infrared 1",
            "wavelength": 11450.0,
            "bandwidth": 2100.0
        },
        "landsat7": {
            "platform": "Landsat 7",
            "band": "B6",
            "name": "Thermal Infrared 1",
            "wavelength": 11450.0,
            "bandwidth": 2100.0
        },
        "landsat8": {
            "platform": "Landsat 8",
            "band": "B10",
            "name": "Thermal Infrared 1",
            "wavelength": 10895.0,
            "bandwidth": 590.0
        },
        "landsat9": {
            "platform": "Landsat 9",
            "band": "B10",
            "name": "Thermal Infrared 1",
            "wavelength": 10895.0,
            "bandwidth": 590.0
        },
    },
    "T2": {
        "short_name": "T2",
        "long_name": "Thermal Infrared 2",
        "landsat8": {
            "platform": "Landsat 8",
            "band": "B11",
            "name": "Thermal Infrared 2",
            "wavelength": 12005.0,
            "bandwidth": 1010.0
        },
        "landsat9": {
            "platform": "Landsat 9",
            "band": "B11",
            "name": "Thermal Infrared 2",
            "wavelength": 12005.0,
            "bandwidth": 1010.0
        },
    },
}